﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;

namespace xamMultiColumnCombo
{
    public class SampleTestDataForComboEditor : ObservableCollection<SampleData>
    {
        public SampleTestDataForComboEditor()
        {
            this.Add(new SampleData(1265454, "This is a really long string number one."));
            this.Add(new SampleData(94654542, "This is a really long string number two."));
            this.Add(new SampleData(657575, "This is a really long string number three."));
            this.Add(new SampleData(987543478, "This is a really long string number four."));
        }
    }

    public class SampleData
    {
        public int Value { get; set; }

        public string Name { get; set; }

        public SampleData(int val, string name)
        {
            this.Value = val;
            this.Name = name;
        }
    }
}
